<?php

include 'common.php';
include 'constants.php';

    try
    {
        echo "<html>\n<body>\n";
        echo "<p>Hello World\n";
	echo "</body>\n<html>\n";

        // Initialize web tier with the site configuration file.
        InitializeWebTier();


        //Open a connection with the server
        //
        $createSession = true;

        $cred = new MgUserInformation();
        $cred->SetMgUsernamePassword("Administrator", "admin");


        $site = new MgSite();
        $site->Open($cred);
        $sessionvar = $site->CreateSession();

        echo "<p>Session is".$sessionvar."\n";

        $site1 = new MgSiteConnection();
        $site1->Open($cred);

        echo "<p>SiteConnection is open\n";

        $resid = new MgResourceIdentifier("Library://Samples/Sheboygan/Maps/Sheboygan.MapDefinition");

        echo "Resource id ok\n";

        $map = new MgMap($site1);

        echo "<p>New Mgmap ok\n";

        $map->Create($resid,"Sheboygan");
        
        echo "<p>Map is created\n";
        
        $cred->SetLocale($locale);

        $cred->SetClientIp(GetClientIp());
        $cred->SetClientAgent(GetClientAgent());

        echo "</body>\n</html>\n";

    }
    catch(MgException $e)
    {
        // This should be a 500 error of some sort, but
        // in order to give a nice custom error message, it looks as
        // if we shortcut things by using a 200 status.
        $shortError = $e->GetExceptionMessage();
        $longErrorMsg = EscapeForHtml($e->GetDetails());
        header("HTTP/1.1 200 ");
        header('Content-Type: text/html; charset=utf-8');
        header("Status: 200 {$shortError}");
        echo "<html>\n<body>\n";
        echo $longErrorMsg;
        echo "</body>\n</html>\n";
    }
    catch(Exception $ne)
    {
        echo "<p>Generic exception generated\n";
        $errorMsg = EscapeForHtml($ne->GetMessage());
        echo $errorMsg;
    }


?>
